<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Extras.BoneRelationshipList Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_extras_1_1_bone_relationship_list.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_tri_lib_1_1_extras_1_1_bone_relationship_list-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Extras.BoneRelationshipList Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a <a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship.html" title="Represents a human bone to Unity bone relationship.">BoneRelationship</a> list.  
 <a href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.Extras.BoneRelationshipList:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_extras_1_1_bone_relationship_list.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae8f65907b46e778226d7cd3058af0ecf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html#ae8f65907b46e778226d7cd3058af0ecf">BoneRelationshipList</a> ()</td></tr>
<tr class="memdesc:ae8f65907b46e778226d7cd3058af0ecf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html" title="Represents a BoneRelationship list.">TriLib.Extras.BoneRelationshipList</a> class.  <a href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html#ae8f65907b46e778226d7cd3058af0ecf">More...</a><br /></td></tr>
<tr class="separator:ae8f65907b46e778226d7cd3058af0ecf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac12008cb836302359ef0413c6aad68d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html#ac12008cb836302359ef0413c6aad68d0">Add</a> (string humanBone, string boneName, bool optional)</td></tr>
<tr class="memdesc:ac12008cb836302359ef0413c6aad68d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a new <a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship.html" title="Represents a human bone to Unity bone relationship.">BoneRelationship</a> to this list.  <a href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html#ac12008cb836302359ef0413c6aad68d0">More...</a><br /></td></tr>
<tr class="separator:ac12008cb836302359ef0413c6aad68d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add621de757176b04d13ff7fc34bed006"><td class="memItemLeft" align="right" valign="top">IEnumerator&lt; <a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship.html">BoneRelationship</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html#add621de757176b04d13ff7fc34bed006">GetEnumerator</a> ()</td></tr>
<tr class="memdesc:add621de757176b04d13ff7fc34bed006"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an enumerator that iterates through this collection.  <a href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html#add621de757176b04d13ff7fc34bed006">More...</a><br /></td></tr>
<tr class="separator:add621de757176b04d13ff7fc34bed006"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a <a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship.html" title="Represents a human bone to Unity bone relationship.">BoneRelationship</a> list. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae8f65907b46e778226d7cd3058af0ecf" name="ae8f65907b46e778226d7cd3058af0ecf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8f65907b46e778226d7cd3058af0ecf">&#9670;&nbsp;</a></span>BoneRelationshipList()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.Extras.BoneRelationshipList.BoneRelationshipList </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html" title="Represents a BoneRelationship list.">TriLib.Extras.BoneRelationshipList</a> class. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac12008cb836302359ef0413c6aad68d0" name="ac12008cb836302359ef0413c6aad68d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac12008cb836302359ef0413c6aad68d0">&#9670;&nbsp;</a></span>Add()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Extras.BoneRelationshipList.Add </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>humanBone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>boneName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>optional</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds a new <a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship.html" title="Represents a human bone to Unity bone relationship.">BoneRelationship</a> to this list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">humanBone</td><td>Human bone.</td></tr>
    <tr><td class="paramname">boneName</td><td>Bone name.</td></tr>
    <tr><td class="paramname">optional</td><td>If set to <code>true</code> this bone relationship will be optional in the hierarchy.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="add621de757176b04d13ff7fc34bed006" name="add621de757176b04d13ff7fc34bed006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add621de757176b04d13ff7fc34bed006">&#9670;&nbsp;</a></span>GetEnumerator()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IEnumerator&lt;<a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship.html">BoneRelationship</a>&gt; TriLib.Extras.BoneRelationshipList.GetEnumerator </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns an enumerator that iterates through this collection. </p>
<dl class="section return"><dt>Returns</dt><dd>The enumerator.</dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLibExtras/Scripts/<a class="el" href="_avatar_loader_8cs.html">AvatarLoader.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="namespace_tri_lib_1_1_extras.html">Extras</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship_list.html">BoneRelationshipList</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
